Guest User

Bash history dump #1

a guest
Jun 9th, 2016
58
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 10.37 KB | None | 0 0
  1. sudo cache search
  2. sudo apt-cache search
  3. sudo apt-cache search *
  4. /home/pi/pocketmine-rpi1/start.sh
  5. sudo apt-cache search qupzilla
  6. sudo apt-cache search qutebrowser
  7. sudo apt-get install qupzilla
  8. sudo apt-get purge kdelibs5-data libattica0.4 libdbusmenu-qt2 libdlrestrictions1 libfam0 libkdecore5 libkdeui5 libqt4-script libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqupzilla1 qupzilla
  9. sudo apt-get autoremove
  10. sudo apt-get clean
  11. sudo apt-get moo
  12. sudo apt-cache search midori
  13. sudo apt-get install midori
  14. cd Downloads
  15. sl -al
  16. ls -al
  17. sudo ./hplip-3.16.5.run
  18. sudo ./hplip-3.16.5.sh
  19. sudo hplip-3.16.5.run
  20. sudo ./runit.sh
  21. less runit.sh
  22. cat runit.sh
  23. cat runit.sh | sudo
  24. cat runit.sh |
  25. 
  26. #!/bin/sh
  27. # This script was generated using Makeself 2.1.5
  28. CRCsum="50961433"
  29. MD5="474a1ad0962abc49182cb253da179a76"
  30. TMPROOT=${TMPDIR:=/tmp}
  31. label="HPLIP 3.16.5 Self Extracting Archive"
  32. script="./hplip-install"
  33. scriptargs=""
  34. targetdir="hplip-3.16.5"
  35. filesizes="22662454"
  36. keep=y
  37. print_cmd_arg=""
  38. if type printf > /dev/null; then print_cmd="printf"; elif test -x /usr/ucb/echo; then print_cmd="/usr/ucb/echo"; else print_cmd="echo"; fi
  39. unset CDPATH
  40. MS_Printf() { $print_cmd $print_cmd_arg "$1"; }
  41. MS_Progress() { while read a; do MS_Printf .; done; }
  42. MS_diskspace() { ( if test -d /usr/xpg4/bin; then :$PATH; fi; df -kP "$1" | tail -1 | awk '{print $4}'; ); }
  43. MS_dd() { blocks=`expr $3 / 1024`; bytes=`expr $3 % 1024`; dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; test $bytes -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null; }
  44. MS_Help() {
  45. cat << EOH >&2
  46. Makeself version 2.1.5
  47. 1) Getting help or info about $0 :
  48. $0 --help Print this message
  49. $0 --info Print embedded info : title, default target directory, embedded script ...
  50. $0 --lsm Print embedded lsm entry (or no LSM)
  51. $0 --list Print the list of files in the archive
  52. $0 --check Checks integrity of the archive
  53.  
  54. 2) Running $0 :
  55. $0 [options] [--] [additional arguments to embedded script]
  56. with following options (in that order)
  57. --confirm Ask before running embedded script
  58. --noexec Do not run embedded script
  59. --keep Do not erase target directory after running
  60. the embedded script
  61. --nox11 Do not spawn an xterm
  62. --nochown Do not give the extracted files to the current user
  63. --target NewDirectory Extract in NewDirectory
  64. --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
  65. -- Following arguments will be passed to the embedded script
  66. EOH
  67. }
  68. MS_Check() { OLD_PATH="$PATH"; PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}; MD5_ARG=""; MD5_PATH=`exec <&- 2>&-; which md5sum || type md5sum`; test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || type md5`; test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || type digest`; PATH="$OLD_PATH"; MS_Printf "Verifying archive integrity..."; offset=`head -n 402 "$1" | wc -c | tr -d " "`; verb=$2; i=1; for s in $filesizes; do ame $MD5_PATH` = digest; then
  69. MD5_ARG="-a md5"
  70. fi
  71. md5=`echo $MD5 | cut -d" " -f$i`
  72. if test $md5 = "00000000000000000000000000000000"; then
  73. test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
  74. else
  75. md5sum=`MS_dd "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
  76. if test "$md5sum" != "$md5"; then
  77. echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
  78. exit 2
  79. else
  80. test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
  81. fi
  82. crc="0000000000"; verb=n
  83. fi
  84. fi
  85. if test $crc = "0000000000"; then
  86. test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
  87. else
  88. sum1=`MS_dd "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
  89. if test "$sum1" = "$crc"; then
  90. test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
  91. else
  92. echo "Error in checksums: $sum1 is different from $crc"
  93. exit 2;
  94. fi
  95. fi
  96. i=`expr $i + 1`
  97. offset=`expr $offset + $s`
  98. done
  99. echo " All good."
  100. }
  101.  
  102. UnTAR()
  103. {
  104. tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
  105. }
  106.  
  107. finish=true
  108. xterm_loop=
  109. nox11=n
  110. copy=none
  111. ownership=y
  112. verbose=n
  113.  
  114. initargs="$@"
  115.  
  116. while true
  117. do
  118. case "$1" in
  119. -h | --help)
  120. MS_Help
  121. exit 0
  122. ;;
  123. --info)
  124. echo Identification: "$label"
  125. echo Target directory: "$targetdir"
  126. echo Uncompressed size: 45928 KB
  127. echo Compression: gzip
  128. echo Date of packaging: Wed May 4 10:55:03 IST 2016
  129. echo Built with Makeself version 2.1.5 on
  130. echo Build command was: "/usr/bin/makeself \\
  131. \"--notemp\" \\
  132. \"hplip-3.16.5\" \\
  133. \"hplip-3.16.5.run\" \\
  134. \"HPLIP 3.16.5 Self Extracting Archive\" \\
  135. \"./hplip-install\""
  136. if test x$script != x; then
  137. echo Script run after extraction:
  138. echo " " $script $scriptargs
  139. fi
  140. if test x"" = xcopy; then
  141. echo "Archive will copy itself to a temporary location"
  142. fi
  143. if test x"y" = xy; then
  144. echo "directory $targetdir is permanent"
  145. else
  146. echo "$targetdir will be removed after extraction"
  147. fi
  148. exit 0
  149. ;;
  150. --dumpconf)
  151. echo LABEL=\"$label\"
  152. echo SCRIPT=\"$script\"
  153. echo SCRIPTARGS=\"$scriptargs\"
  154. echo archdirname=\"hplip-3.16.5\"
  155. echo KEEP=y
  156. echo COMPRESS=gzip
  157. echo filesizes=\"$filesizes\"
  158. echo CRCsum=\"$CRCsum\"
  159. echo MD5sum=\"$MD5\"
  160. echo OLDUSIZE=45928
  161. echo OLDSKIP=403
  162. exit 0
  163. ;;
  164. --lsm)
  165. cat << EOLSM
  166. No LSM.
  167. EOLSM
  168. exit 0
  169. ;;
  170. --list)
  171. echo Target directory: $targetdir
  172. offset=`head -n 402 "$0" | wc -c | tr -d " "`
  173. for s in $filesizes
  174. do
  175. MS_dd "$0" $offset $s | eval "gzip -cd" | UnTAR t
  176. offset=`expr $offset + $s`
  177. done
  178. exit 0
  179. ;;
  180. --tar)
  181. offset=`head -n 402 "$0" | wc -c | tr -d " "`
  182. arg1="$2"
  183. shift 2
  184. for s in $filesizes
  185. do
  186. MS_dd "$0" $offset $s | eval "gzip -cd" | tar "$arg1" - $*
  187. offset=`expr $offset + $s`
  188. done
  189. exit 0
  190. ;;
  191. --check)
  192. MS_Check "$0" y
  193. exit 0
  194. ;;
  195. --confirm)
  196. verbose=y
  197. shift
  198. ;;
  199. --noexec)
  200. script=""
  201. shift
  202. ;;
  203. --keep)
  204. keep=y
  205. shift
  206. ;;
  207. --target)
  208. keep=y
  209. targetdir=${2:-.}
  210. shift 2
  211. ;;
  212. --nox11)
  213. nox11=y
  214. shift
  215. ;;
  216. --nochown)
  217. ownership=n
  218. shift
  219. ;;
  220. --xwin)
  221. finish="echo Press Return to close this window...; read junk"
  222. xterm_loop=1
  223. shift
  224. ;;
  225. --phase2)
  226. copy=phase2
  227. shift
  228. ;;
  229. --)
  230. shift
  231. break ;;
  232. -*)
  233. echo Unrecognized flag : "$1" >&2
  234. MS_Help
  235. exit 1
  236. ;;
  237. *)
  238. break ;;
  239. esac
  240. done
  241.  
  242. case "$copy" in
  243. copy)
  244. tmpdir=$TMPROOT/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
  245. mkdir "$tmpdir" || {
  246. echo "Could not create temporary directory $tmpdir" >&2
  247. exit 1
  248. }
  249. SCRIPT_COPY="$tmpdir/makeself"
  250. echo "Copying to a temporary location..." >&2
  251. cp "$0" "$SCRIPT_COPY"
  252. chmod +x "$SCRIPT_COPY"
  253. cd "$TMPROOT"
  254. exec "$SCRIPT_COPY" --phase2 -- $initargs
  255. ;;
  256. phase2)
  257. finish="$finish ; rm -rf `dirname $0`"
  258. ;;
  259. esac
  260.  
  261. if test "$nox11" = "n"; then
  262. if tty -s; then # Do we have a terminal?
  263. :
  264. else
  265. if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then # No, but do we have X?
  266. if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
  267. GUESS_XTERMS="xterm rxvt dtterm eterm Eterm kvt konsole aterm"
  268. for a in $GUESS_XTERMS; do
  269. if type $a >/dev/null 2>&1; then
  270. XTERM=$a
  271. break
  272. fi
  273. done
  274. chmod a+x $0 || echo Please add execution rights on $0
  275. if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
  276. exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
  277. else
  278. exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
  279. fi
  280. fi
  281. fi
  282. fi
  283. fi
  284.  
  285. if test "$targetdir" = "."; then
  286. tmpdir="."
  287. else
  288. if test "$keep" = y; then
  289. echo "Creating directory $targetdir" >&2
  290. tmpdir="$targetdir"
  291. dashp="-p"
  292. else
  293. tmpdir="$TMPROOT/selfgz$$$RANDOM"
  294. dashp=""
  295. fi
  296. mkdir $dashp $tmpdir || {
  297. echo 'Cannot create target directory' $tmpdir >&2
  298. echo 'You should try option --target OtherDirectory' >&2
  299. eval $finish
  300. exit 1
  301. }
  302. fi
  303.  
  304. location="`pwd`"
  305. if test x$SETUP_NOCHECK != x1; then
  306. MS_Check "$0"
  307. fi
  308. offset=`head -n 402 "$0" | wc -c | tr -d " "`
  309.  
  310. if test x"$verbose" = xy; then
  311. MS_Printf "About to extract 45928 KB in $tmpdir ... Proceed ? [Y/n] "
  312. read yn
  313. if test x"$yn" = xn; then
  314. eval $finish; exit 1
  315. fi
  316. fi
  317.  
  318. MS_Printf "Uncompressing $label"
  319. res=3
  320. if test "$keep" = n; then
  321. trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
  322. fi
  323.  
  324. leftspace=`MS_diskspace $tmpdir`
  325. if test $leftspace -lt 45928; then
  326. echo
  327. echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (45928 KB)" >&2
  328. if test "$keep" = n; then
  329. echo "Consider setting TMPDIR to a directory with more free space."
  330. fi
  331. eval $finish; exit 1
  332. fi
  333.  
  334. for s in $filesizes
  335. do
  336. if MS_dd "$0" $offset $s | eval "gzip -cd" | ( cd "$tmpdir"; UnTAR x ) | MS_Progress; then
  337. if test x"$ownership" = xy; then
  338. (PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .; chgrp -R `id -g` .)
  339. fi
  340. else
  341. echo
  342. echo "Unable to decompress $0" >&2
  343. eval $finish; exit 1
  344. fi
  345. offset=`expr $offset + $s`
  346. done
  347. echo
  348.  
  349. cd "$tmpdir"
  350. res=0
  351. if test x"$script" != x; then
  352. if test x"$verbose" = xy; then
  353. MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
  354. read yn
  355. if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
  356. eval $script $scriptargs $*; res=$?;
  357. fi
  358. else
  359. eval $script $scriptargs $*; res=$?
  360. fi
  361. if test $res -ne 0; then
  362. test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
  363. fi
  364. fi
  365. if test "$keep" = n; then
  366. cd $TMPROOT
  367. /bin/rm -rf $tmpdir
  368. fi
  369. eval $finish; exit $res
  370. cat /etc/debian_version
  371. su -c "apt-get update"
  372. sudo apt-get update
  373. sudo apt-cache search hlip
  374. sudo apt-cache search hplip
  375. sudo apt-get install hplip
  376. hp-setup
  377. hp-setup --qt3
  378. hp-setup -u
  379. hp-setup -i
  380. hp-setup -u
  381. hp-setup -help
  382. hp-setup -i
  383. hp-setup -help
  384. hp-setup -i -r
  385. hp-setup -i
  386. lsusb
  387. hp-setup -i 192.168.1.2
  388. hp-setup -i
  389. hp-setup -i 192.168.1.2
  390. cat /etc/debian_version
  391. sudo apt-get purge hplip
  392. sudo apt-get autoremove
  393. sudo apt-get clean
  394. cd ~
Add Comment
Please, Sign In to add comment